=== debian/changelog ===
eggdrop (1.6.21-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:21:38 +0000

eggdrop (1.6.21-4) unstable; urgency=low

  * clang-ftbfs.diff:
    - Fix FTBFS with clang-3.5 (Closes: #757400)
    - Apply patch from Arthur Marble, thank you!

 -- Cédric Barboiron <ced@winkie.fr>  Mon, 11 Aug 2014 22:21:21 +0200

eggdrop (1.6.21-3) unstable; urgency=low

  * debian/rules: fix dh-autoreconf (Closes: #750618)

 -- Cédric Barboiron <ced@winkie.fr>  Thu, 05 Jun 2014 23:58:36 +0200

eggdrop (1.6.21-2) unstable; urgency=low

  * debian/control, debian/rules: use dh-autoreconf

  * debian/source/options: ignore configure|Makefile

  * debian/patches/fix_kfreebsd_build:
    - use $CC in SHLIB_LD (instead of hardcoded ld)

 -- Cédric Barboiron <ced@winkie.fr>  Sat, 17 May 2014 14:30:58 +0200

eggdrop (1.6.21-1) unstable; urgency=low

  * New upstream release:
    - debian/patches/00conf_paths.patch: updated
    - debian/patches/gcc-format-string-warnings: updated
    - debian/patches/01tcl8.5.10.patch: fixed upstream
    - debian/eggdrop.install: don't use hardcoded version anymore
    - Closes: #650718

  * debian/compat: update to level 9

  * debian/control:
    - set maintainer to Cédric Barboiron (Closes: #698272)
    - use latest Standards-Version
    - add debhelper>9 and autotools-dev dependencies
    - remove cdbs dependency
    - eggdrop-data: fix the Replaces field, add Breaks
    - link with tcl8.6

  * debian/rules:
    - switch to debhelper 9 format
    - Closes: #724986 as a side effect
    - follow new tcl/tk policy (no more /usr/lib/libtcl.so)

  * debian/copyright
    - use copyright-format 1.0
    - list exceptions
    - explain why BSD-4-clause portion from University of California is
      acceptable in src/compat/inet_aton.c (see
      ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change)
      (Closes: #744267)

  * debian/watch: version 3, plus check pgp signature

  * debian/patches/01use_ldflags.patch: propagate LDFLAGS for eggdrop and
    modules (Closes: #668091)

  * debian/patches/02language_dir.patch: set default language directory
    (Closes: #661572)

 -- Cédric Barboiron <ced@winkie.fr>  Sat, 26 Apr 2014 13:16:04 +0200

eggdrop (1.6.20-2) unstable; urgency=low

  * QA upload, set maintainer to Debian QA group
  * Enable hardened build flags (Closes: #668091)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 04 Jan 2014 15:53:07 +0100
