=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  ftp://ftp.eggheads.org/pub/eggdrop/source/1.6/eggdrop(.*)\.tar\.gz debian uupdate
