=== debian/changelog ===
eggdrop (1.8.4-1) unstable; urgency=low

  * New upstream version 1.8.4
  * patches
    - SSL support (Closes: #374568)
    - fix cross build issues (Closes: #928786)
    - refresh patches
  * fix some lintian warnings
    - use debhelper 12
    - enable hardening flags (+all)
    - remove autotools-dev and dh-autoreconf dependencies
    - update to standards version 4.3.0
    - add override for compress.so hardening
  * debian/watch
    - use https
    - ignore rc releases in debian/watch
    - switch to 1.8 directory
  * debian/control:
    - add libssl-dev build dependency
    - mark eggdrop-data as Multi-Arch: foreign
    - add Vcs-Git and Vcs-Browser to control
  * debian/copyright: fix lintian warnings
  * debian/eggdrop-data.doc updated
  * debian/eggdrop-data.doc-base: updated
  * debian/eggdrop-data.examples: add eggdrop-basic.conf
  * debian/eggdrop.install: exclude eggdrop-basic.conf from usr/bin
  * debian/patches:
    - 01use_ldflags, fix_kfreebsd_build: merged
    - gcc-format-string-warnings: removed, fixed upstream
  * debian/rules: remove -fgnu89-inline and --no-automatic-dbgsym
  * debian/upstream/signing-key.asc: new upstream key
  * rename NEWS and UPGRADING files
  * use dh_autoreconf

 -- Cédric Barboiron <ced@winkie.fr>  Thu, 09 Apr 2020 13:08:10 +0200
